# Weekly *1*: 30.03.2023

## Teilnehmer
- Prof. Arinir
- Tristan Nolde
- Tim Ronneburg
- Phillip Horstenkamp
- Kim Mesewinkel-Risse
- Sascha Zhu
- Sebastian Zeleny (Protokollant)

## Themen
- **Inhalt des Project Proposals:** 
	- Mit welchen Metriken können Unternehmen bewertet werden?
	- Was sind Kennzahlen von Kapitalgesellschaften?
	- Welche Daten werden benötigt?
	- Woher erhält man benötigte Daten? (Amtsgerichte --> Insolvenzen, Börsenkurse, Aktienkurse, RSS-Feeds von/zu Unternehmen)
	- Wie werden die Daten verarbeitet?
	- Wie können die Daten bzw. Ergebnisse präsentiert werden?
  - Verflechtungen zwischen Unternehmen: Geschäftsführer, Wirtschaftsprüfer
    
- **Anforderungen an Projektdurchführung:**
  - Backlog für Ideen und Aufgaben
	- Meeting-Notes mit besprochenen Themen, Entscheidungen, Terminen und Action-List (Wer arbeitet an welcher Aufgabe?)
	- Projektdurchführung so formal wie möglich, d.h. 
	  - Beschreibung des Systemkontext: Interaktion mit der Umgebung
		- Datenmodell: schematische Darstellung der Datenflüsse
		- Lasten- / Pflichtenheft mit Kategorisierung
  - Vorschlag Frontend von Prof. Arinir: D3.js

- **Bewertung des Projekts:** 
	- Es muss erkennbar sein, wer welche Aufgabe bearbeitet hat
	- Jeder Teilnehmer soll die Aufgaben der anderen Teilnehmer kennen und ein Verständnis für diese haben (kein tiefes Domänenwissen!)
  - Gesamtplanung und Dokumentation sind Teil des Ergebnis, nicht nur die technische Umsetzung
  - Bewertungsschlüssel:

| Gewichtung  | Aufgabe  |
|---|---|
| 20%  | Vortrag Seminararbeit  |
| 20%  | Präsentation  |
| 30%  | Implementierung  |
| 20%  |  Finaler Bericht (~15 Seiten pro Teilnehmer)|
| 10%  |  Abschlusspräsentation |

- **Organisatorisches:**
	- Regeltermin alle 14 Tage mit allen Projektteilnehmern, beginnend am 30.03.2023: Dieser Termin soll für Sprint Planning und Review mit Prof. Arinir genutzt werden. 
    - Was ist die Erwartungshaltung des Product Owners?
		- Welche Themen/Aufgaben werden bearbeitet?
		- Was ist das Ziel für das nächste Review? 
	- Projektbearbeitung/Dokumentation mit Github
  - Bereitstellung des Github-Repos über FH

## Abgeleitete Action Items

| Action Item | Verantwortlicher | Deadline |
| ----------- | ---------------- | -------- |
| Welche Anforderungen / Erwartungen stellen wir inhaltlich und technisch an das Projekt?| alle | nächstes Weekly/work in progress |
| Erarbeiten von Arbeitspaketen/Aufgaben aus Anforderungen| alle | nächstes Weekly/work in progress |
| Welche Metriken sind notwendig?| alle | nächstes Weekly/work in progress |
| Recherche zu Datenquellen| alle | nächstes Weekly/work in progress |
| Definition von Meilensteinen| alle | nächstes Weekly |
| Erstellung eines (groben) Zeitplans| alle | nächstes Weekly |
